Bug 120844 - context Menu: remove tabletext.xml from sd modules
Summary: context Menu: remove tabletext.xml from sd modules
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Roman Kuznetsov
URL:
Whiteboard: target:6.4.0
Keywords: easyHack, needsDevEval
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2018-10-23 15:59 UTC by andreas_k
Modified: 2019-06-11 18:52 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-10-23 15:59:19 UTC
In sw modules there is no popupmenu for tabletext and it's also not needed for impress and draw. I would recommend to remove the tabletext.xml files and use only table.xml 

I update table.xml file for sd modules so this file can fit both. https://gerrit.libreoffice.org/#/c/62240/
Comment 1 Heiko Tietze 2019-01-16 07:40:51 UTC
Agreed, could be an easy hack.
Comment 2 Commit Notification 2019-06-11 15:10:44 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/480178b968adeb4a528ca0c94217df7dbdf06ac5%5E%21

tdf#120844 Remove tabletext.xml from sdraw and from simpress

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.